org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PatternLanguagePackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternLanguagePackageImpl

      public interface PatternLanguagePackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `PatternLanguageFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PatternLanguagePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AGGREGATED_VALUE` The meta object id for the '`Aggregated Value`' class.
    `static int` | `AGGREGATED_VALUE__AGGREGATOR` The feature id for the 'Aggregator' containment reference.
    `static int` | `AGGREGATED_VALUE__CALL` The feature id for the 'Call' containment reference.
    `static int` | `AGGREGATED_VALUE_FEATURE_COUNT` The number of structural features of the 'Aggregated Value' class.
    `static int` | `AGGREGATOR_EXPRESSION` The meta object id for the '`Aggregator Expression`' class.
    `static int` | `AGGREGATOR_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Aggregator Expression' class.
    `static int` | `ANNOTATION` The meta object id for the '`Annotation`' class.
    `static int` | `ANNOTATION__NAME` The feature id for the 'Name' attribute.
    `static int` | `ANNOTATION__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Annotation' class.
    `static int` | `ANNOTATION_PARAMETER` The meta object id for the '`Annotation Parameter`' class.
    `static int` | `ANNOTATION_PARAMETER__NAME` The feature id for the 'Name' attribute.
    `static int` | `ANNOTATION_PARAMETER__VALUE` The feature id for the 'Value' containment reference.
    `static int` | `ANNOTATION_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Annotation Parameter' class.
    `static int` | `BOOL_VALUE` The meta object id for the '`Bool Value`' class.
    `static int` | `BOOL_VALUE__VALUE` The feature id for the 'Value' attribute.
    `static int` | `BOOL_VALUE_FEATURE_COUNT` The number of structural features of the 'Bool Value' class.
    `static int` | `CHECK_CONSTRAINT` The meta object id for the '`Check Constraint`' class.
    `static int` | `CHECK_CONSTRAINT__EXPRESSION` The feature id for the 'Expression' containment reference.
    `static int` | `CHECK_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Check Constraint' class.
    `static int` | `COMPARE_CONSTRAINT` The meta object id for the '`Compare Constraint`' class.
    `static int` | `COMPARE_CONSTRAINT__FEATURE` The feature id for the 'Feature' attribute.
    `static int` | `COMPARE_CONSTRAINT__LEFT_OPERAND` The feature id for the 'Left Operand' containment reference.
    `static int` | `COMPARE_CONSTRAINT__RIGHT_OPERAND` The feature id for the 'Right Operand' containment reference.
    `static int` | `COMPARE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Compare Constraint' class.
    `static int` | `COMPARE_FEATURE` The meta object id for the '`Compare Feature`' enum.
    `static int` | `COMPUTATION_VALUE` The meta object id for the '`Computation Value`' class.
    `static int` | `COMPUTATION_VALUE_FEATURE_COUNT` The number of structural features of the 'Computation Value' class.
    `static int` | `CONSTRAINT` The meta object id for the '`Constraint`' class.
    `static int` | `CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Constraint' class.
    `static int` | `COUNT_AGGREGATOR` The meta object id for the '`Count Aggregator`' class.
    `static int` | `COUNT_AGGREGATOR_FEATURE_COUNT` The number of structural features of the 'Count Aggregator' class.
    `static int` | `DOUBLE_VALUE` The meta object id for the '`Double Value`' class.
    `static int` | `DOUBLE_VALUE__VALUE` The feature id for the 'Value' attribute.
    `static int` | `DOUBLE_VALUE_FEATURE_COUNT` The number of structural features of the 'Double Value' class.
    `static PatternLanguagePackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `ENTITY_TYPE` The meta object id for the '`Entity Type`' class.
    `static int` | `ENTITY_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `ENTITY_TYPE_FEATURE_COUNT` The number of structural features of the 'Entity Type' class.
    `static int` | `FUNCTION_EVALUATION_VALUE` The meta object id for the '`Function Evaluation Value`' class.
    `static int` | `FUNCTION_EVALUATION_VALUE__EXPRESSION` The feature id for the 'Expression' containment reference.
    `static int` | `FUNCTION_EVALUATION_VALUE_FEATURE_COUNT` The number of structural features of the 'Function Evaluation Value' class.
    `static int` | `INT_VALUE` The meta object id for the '`Int Value`' class.
    `static int` | `INT_VALUE__VALUE` The feature id for the 'Value' attribute.
    `static int` | `INT_VALUE_FEATURE_COUNT` The number of structural features of the 'Int Value' class.
    `static int` | `LIST_VALUE` The meta object id for the '`List Value`' class.
    `static int` | `LIST_VALUE__VALUES` The feature id for the 'Values' containment reference list.
    `static int` | `LIST_VALUE_FEATURE_COUNT` The number of structural features of the 'List Value' class.
    `static int` | `LITERAL_VALUE_REFERENCE` The meta object id for the '`Literal Value Reference`' class.
    `static int` | `LITERAL_VALUE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Literal Value Reference' class.
    `static int` | `LOCAL_VARIABLE` The meta object id for the '`Local Variable`' class.
    `static int` | `LOCAL_VARIABLE__NAME` The feature id for the 'Name' attribute.
    `static int` | `LOCAL_VARIABLE__REFERENCES` The feature id for the 'References' reference list.
    `static int` | `LOCAL_VARIABLE__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `LOCAL_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Local Variable' class.
    `static int` | `MODIFIERS` The meta object id for the '`Modifiers`' class.
    `static int` | `MODIFIERS__PRIVATE` The feature id for the 'Private' attribute.
    `static int` | `MODIFIERS_FEATURE_COUNT` The number of structural features of the 'Modifiers' class.
    `static int` | `PARAMETER_REF` The meta object id for the '`Parameter Ref`' class.
    `static int` | `PARAMETER_REF__NAME` The feature id for the 'Name' attribute.
    `static int` | `PARAMETER_REF__REFERENCES` The feature id for the 'References' reference list.
    `static int` | `PARAMETER_REF__REFERRED_PARAM` The feature id for the 'Referred Param' reference.
    `static int` | `PARAMETER_REF__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `PARAMETER_REF_FEATURE_COUNT` The number of structural features of the 'Parameter Ref' class.
    `static int` | `PATH_EXPRESSION_CONSTRAINT` The meta object id for the '`Path Expression Constraint`' class.
    `static int` | `PATH_EXPRESSION_CONSTRAINT__HEAD` The feature id for the 'Head' containment reference.
    `static int` | `PATH_EXPRESSION_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Path Expression Constraint' class.
    `static int` | `PATH_EXPRESSION_ELEMENT` The meta object id for the '`Path Expression Element`' class.
    `static int` | `PATH_EXPRESSION_ELEMENT__TAIL` The feature id for the 'Tail' containment reference.
    `static int` | `PATH_EXPRESSION_ELEMENT__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `PATH_EXPRESSION_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Path Expression Element' class.
    `static int` | `PATH_EXPRESSION_HEAD` The meta object id for the '`Path Expression Head`' class.
    `static int` | `PATH_EXPRESSION_HEAD__DST` The feature id for the 'Dst' containment reference.
    `static int` | `PATH_EXPRESSION_HEAD__SRC` The feature id for the 'Src' containment reference.
    `static int` | `PATH_EXPRESSION_HEAD__TAIL` The feature id for the 'Tail' containment reference.
    `static int` | `PATH_EXPRESSION_HEAD__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `PATH_EXPRESSION_HEAD_FEATURE_COUNT` The number of structural features of the 'Path Expression Head' class.
    `static int` | `PATH_EXPRESSION_TAIL` The meta object id for the '`Path Expression Tail`' class.
    `static int` | `PATH_EXPRESSION_TAIL__CLOSURE` The feature id for the 'Closure' attribute.
    `static int` | `PATH_EXPRESSION_TAIL__INDEX` The feature id for the 'Index' attribute.
    `static int` | `PATH_EXPRESSION_TAIL__TAIL` The feature id for the 'Tail' containment reference.
    `static int` | `PATH_EXPRESSION_TAIL__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `PATH_EXPRESSION_TAIL_FEATURE_COUNT` The number of structural features of the 'Path Expression Tail' class.
    `static int` | `PATTERN` The meta object id for the '`Pattern`' class.
    `static int` | `PATTERN__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `PATTERN__BODIES` The feature id for the 'Bodies' containment reference list.
    `static int` | `PATTERN__MODIFIERS` The feature id for the 'Modifiers' containment reference list.
    `static int` | `PATTERN__NAME` The feature id for the 'Name' attribute.
    `static int` | `PATTERN__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `PATTERN_BODY` The meta object id for the '`Pattern Body`' class.
    `static int` | `PATTERN_BODY__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
    `static int` | `PATTERN_BODY__NAME` The feature id for the 'Name' attribute.
    `static int` | `PATTERN_BODY__VARIABLES` The feature id for the 'Variables' containment reference list.
    `static int` | `PATTERN_BODY_FEATURE_COUNT` The number of structural features of the 'Pattern Body' class.
    `static int` | `PATTERN_CALL` The meta object id for the '`Pattern Call`' class.
    `static int` | `PATTERN_CALL__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `PATTERN_CALL__PATTERN_REF` The feature id for the 'Pattern Ref' reference.
    `static int` | `PATTERN_CALL__TRANSITIVE` The feature id for the 'Transitive' attribute.
    `static int` | `PATTERN_CALL_FEATURE_COUNT` The number of structural features of the 'Pattern Call' class.
    `static int` | `PATTERN_COMPOSITION_CONSTRAINT` The meta object id for the '`Pattern Composition Constraint`' class.
    `static int` | `PATTERN_COMPOSITION_CONSTRAINT__CALL` The feature id for the 'Call' containment reference.
    `static int` | `PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE` The feature id for the 'Negative' attribute.
    `static int` | `PATTERN_COMPOSITION_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Pattern Composition Constraint' class.
    `static int` | `PATTERN_FEATURE_COUNT` The number of structural features of the 'Pattern' class.
    `static int` | `PATTERN_MODEL` The meta object id for the '`Pattern Model`' class.
    `static int` | `PATTERN_MODEL__PACKAGE_NAME` The feature id for the 'Package Name' attribute.
    `static int` | `PATTERN_MODEL__PATTERNS` The feature id for the 'Patterns' containment reference list.
    `static int` | `PATTERN_MODEL_FEATURE_COUNT` The number of structural features of the 'Pattern Model' class.
    `static int` | `RELATION_TYPE` The meta object id for the '`Relation Type`' class.
    `static int` | `RELATION_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `RELATION_TYPE_FEATURE_COUNT` The number of structural features of the 'Relation Type' class.
    `static int` | `STRING_VALUE` The meta object id for the '`String Value`' class.
    `static int` | `STRING_VALUE__VALUE` The feature id for the 'Value' attribute.
    `static int` | `STRING_VALUE_FEATURE_COUNT` The number of structural features of the 'String Value' class.
    `static int` | `TYPE` The meta object id for the '`Type`' class.
    `static int` | `TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `TYPE_FEATURE_COUNT` The number of structural features of the 'Type' class.
    `static int` | `VALUE_REFERENCE` The meta object id for the '`Value Reference`' class.
    `static int` | `VALUE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Value Reference' class.
    `static int` | `VARIABLE` The meta object id for the '`Variable`' class.
    `static int` | `VARIABLE__NAME` The feature id for the 'Name' attribute.
    `static int` | `VARIABLE__REFERENCES` The feature id for the 'References' reference list.
    `static int` | `VARIABLE__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `VARIABLE_FEATURE_COUNT` The number of structural features of the 'Variable' class.
    `static int` | `VARIABLE_REFERENCE` The meta object id for the '`Variable Reference`' class.
    `static int` | `VARIABLE_REFERENCE__VAR` The feature id for the 'Var' attribute.
    `static int` | `VARIABLE_REFERENCE__VARIABLE` The feature id for the 'Variable' reference.
    `static int` | `VARIABLE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Variable Reference' class.
    `static int` | `VARIABLE_VALUE` The meta object id for the '`Variable Value`' class.
    `static int` | `VARIABLE_VALUE__VALUE` The feature id for the 'Value' containment reference.
    `static int` | `VARIABLE_VALUE_FEATURE_COUNT` The number of structural features of the 'Variable Value' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_Aggregator()` Returns the meta object for the containment reference '`Aggregator`'.
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_Call()` Returns the meta object for the containment reference '`Call`'.
    `org.eclipse.emf.ecore.EClass` | `getAggregatedValue()` Returns the meta object for class '`Aggregated Value`'.
    `org.eclipse.emf.ecore.EClass` | `getAggregatorExpression()` Returns the meta object for class '`Aggregator Expression`'.
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getAnnotation_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getAnnotation()` Returns the meta object for class '`Annotation`'.
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotationParameter_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getAnnotationParameter_Value()` Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getAnnotationParameter()` Returns the meta object for class '`Annotation Parameter`'.
    `org.eclipse.emf.ecore.EAttribute` | `getBoolValue_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getBoolValue()` Returns the meta object for class '`Bool Value`'.
    `org.eclipse.emf.ecore.EReference` | `getCheckConstraint_Expression()` Returns the meta object for the containment reference '`Expression`'.
    `org.eclipse.emf.ecore.EClass` | `getCheckConstraint()` Returns the meta object for class '`Check Constraint`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCompareConstraint_Feature()` Returns the meta object for the attribute '`Feature`'.
    `org.eclipse.emf.ecore.EReference` | `getCompareConstraint_LeftOperand()` Returns the meta object for the containment reference '`Left Operand`'.
    `org.eclipse.emf.ecore.EReference` | `getCompareConstraint_RightOperand()` Returns the meta object for the containment reference '`Right Operand`'.
    `org.eclipse.emf.ecore.EClass` | `getCompareConstraint()` Returns the meta object for class '`Compare Constraint`'.
    `org.eclipse.emf.ecore.EEnum` | `getCompareFeature()` Returns the meta object for enum '`Compare Feature`'.
    `org.eclipse.emf.ecore.EClass` | `getComputationValue()` Returns the meta object for class '`Computation Value`'.
    `org.eclipse.emf.ecore.EClass` | `getConstraint()` Returns the meta object for class '`Constraint`'.
    `org.eclipse.emf.ecore.EClass` | `getCountAggregator()` Returns the meta object for class '`Count Aggregator`'.
    `org.eclipse.emf.ecore.EAttribute` | `getDoubleValue_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getDoubleValue()` Returns the meta object for class '`Double Value`'.
    `org.eclipse.emf.ecore.EClass` | `getEntityType()` Returns the meta object for class '`Entity Type`'.
    `org.eclipse.emf.ecore.EReference` | `getFunctionEvaluationValue_Expression()` Returns the meta object for the containment reference '`Expression`'.
    `org.eclipse.emf.ecore.EClass` | `getFunctionEvaluationValue()` Returns the meta object for class '`Function Evaluation Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getIntValue_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getIntValue()` Returns the meta object for class '`Int Value`'.
    `org.eclipse.emf.ecore.EReference` | `getListValue_Values()` Returns the meta object for the containment reference list '`Values`'.
    `org.eclipse.emf.ecore.EClass` | `getListValue()` Returns the meta object for class '`List Value`'.
    `org.eclipse.emf.ecore.EClass` | `getLiteralValueReference()` Returns the meta object for class '`Literal Value Reference`'.
    `org.eclipse.emf.ecore.EClass` | `getLocalVariable()` Returns the meta object for class '`Local Variable`'.
    `org.eclipse.emf.ecore.EAttribute` | `getModifiers_Private()` Returns the meta object for the attribute '`Private`'.
    `org.eclipse.emf.ecore.EClass` | `getModifiers()` Returns the meta object for class '`Modifiers`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterRef_ReferredParam()` Returns the meta object for the reference '`Referred Param`'.
    `org.eclipse.emf.ecore.EClass` | `getParameterRef()` Returns the meta object for class '`Parameter Ref`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_Head()` Returns the meta object for the containment reference '`Head`'.
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionConstraint()` Returns the meta object for class '`Path Expression Constraint`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionElement_Tail()` Returns the meta object for the containment reference '`Tail`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionElement_Type()` Returns the meta object for the containment reference '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionElement()` Returns the meta object for class '`Path Expression Element`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionHead_Dst()` Returns the meta object for the containment reference '`Dst`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionHead_Src()` Returns the meta object for the containment reference '`Src`'.
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionHead()` Returns the meta object for class '`Path Expression Head`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPathExpressionTail_Closure()` Returns the meta object for the attribute '`Closure`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPathExpressionTail_Index()` Returns the meta object for the attribute '`Index`'.
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionTail()` Returns the meta object for class '`Path Expression Tail`'.
    `org.eclipse.emf.ecore.EReference` | `getPattern_Annotations()` Returns the meta object for the containment reference list '`Annotations`'.
    `org.eclipse.emf.ecore.EReference` | `getPattern_Bodies()` Returns the meta object for the containment reference list '`Bodies`'.
    `org.eclipse.emf.ecore.EReference` | `getPattern_Modifiers()` Returns the meta object for the containment reference list '`Modifiers`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPattern_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getPattern_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getPattern()` Returns the meta object for class '`Pattern`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternBody_Constraints()` Returns the meta object for the containment reference list '`Constraints`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternBody_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternBody_Variables()` Returns the meta object for the containment reference list '`Variables`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternBody()` Returns the meta object for class '`Pattern Body`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternCall_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternCall_PatternRef()` Returns the meta object for the reference '`Pattern Ref`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternCall_Transitive()` Returns the meta object for the attribute '`Transitive`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternCall()` Returns the meta object for class '`Pattern Call`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternCompositionConstraint_Call()` Returns the meta object for the containment reference '`Call`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternCompositionConstraint_Negative()` Returns the meta object for the attribute '`Negative`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternCompositionConstraint()` Returns the meta object for class '`Pattern Composition Constraint`'.
    `PatternLanguageFactory` | `getPatternLanguageFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternModel_PackageName()` Returns the meta object for the attribute '`Package Name`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternModel_Patterns()` Returns the meta object for the containment reference list '`Patterns`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternModel()` Returns the meta object for class '`Pattern Model`'.
    `org.eclipse.emf.ecore.EClass` | `getRelationType()` Returns the meta object for class '`Relation Type`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStringValue_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getStringValue()` Returns the meta object for class '`String Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getType_Typename()` Returns the meta object for the attribute '`Typename`'.
    `org.eclipse.emf.ecore.EClass` | `getType()` Returns the meta object for class '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getValueReference()` Returns the meta object for class '`Value Reference`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariable_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getVariable_References()` Returns the meta object for the reference list '`References`'.
    `org.eclipse.emf.ecore.EReference` | `getVariable_Type()` Returns the meta object for the containment reference '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getVariable()` Returns the meta object for class '`Variable`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariableReference_Var()` Returns the meta object for the attribute '`Var`'.
    `org.eclipse.emf.ecore.EReference` | `getVariableReference_Variable()` Returns the meta object for the reference '`Variable`'.
    `org.eclipse.emf.ecore.EClass` | `getVariableReference()` Returns the meta object for class '`Variable Reference`'.
    `org.eclipse.emf.ecore.EReference` | `getVariableValue_Value()` Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getVariableValue()` Returns the meta object for class '`Variable Value`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final PatternLanguagePackage eINSTANCE

      The singleton instance of the package.

    - #### PATTERN_MODEL

          static final int PATTERN_MODEL

      The meta object id for the '`Pattern Model`' class.
      See Also:
        `PatternModelImpl`, `PatternLanguagePackageImpl.getPatternModel()`, Constant Field Values

    - #### PATTERN_MODEL__PACKAGE_NAME

          static final int PATTERN_MODEL__PACKAGE_NAME

      The feature id for the 'Package Name' attribute.
      See Also:
        Constant Field Values

    - #### PATTERN_MODEL__PATTERNS

          static final int PATTERN_MODEL__PATTERNS

      The feature id for the 'Patterns' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN_MODEL_FEATURE_COUNT

          static final int PATTERN_MODEL_FEATURE_COUNT

      The number of structural features of the 'Pattern Model' class.
      See Also:
        Constant Field Values

    - #### PATTERN

          static final int PATTERN

      The meta object id for the '`Pattern`' class.
      See Also:
        `PatternImpl`, `PatternLanguagePackageImpl.getPattern()`, Constant Field Values

    - #### PATTERN__ANNOTATIONS

          static final int PATTERN__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN__MODIFIERS

          static final int PATTERN__MODIFIERS

      The feature id for the 'Modifiers' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN__NAME

          static final int PATTERN__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### PATTERN__PARAMETERS

          static final int PATTERN__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN__BODIES

          static final int PATTERN__BODIES

      The feature id for the 'Bodies' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN_FEATURE_COUNT

          static final int PATTERN_FEATURE_COUNT

      The number of structural features of the 'Pattern' class.
      See Also:
        Constant Field Values

    - #### ANNOTATION

          static final int ANNOTATION

      The meta object id for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `PatternLanguagePackageImpl.getAnnotation()`, Constant Field Values

    - #### ANNOTATION__NAME

          static final int ANNOTATION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ANNOTATION__PARAMETERS

          static final int ANNOTATION__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### ANNOTATION_FEATURE_COUNT

          static final int ANNOTATION_FEATURE_COUNT

      The number of structural features of the 'Annotation' class.
      See Also:
        Constant Field Values

    - #### ANNOTATION_PARAMETER

          static final int ANNOTATION_PARAMETER

      The meta object id for the '`Annotation Parameter`' class.
      See Also:
        `AnnotationParameterImpl`, `PatternLanguagePackageImpl.getAnnotationParameter()`, Constant Field Values

    - #### ANNOTATION_PARAMETER__NAME

          static final int ANNOTATION_PARAMETER__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ANNOTATION_PARAMETER__VALUE

          static final int ANNOTATION_PARAMETER__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### ANNOTATION_PARAMETER_FEATURE_COUNT

          static final int ANNOTATION_PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Annotation Parameter' class.
      See Also:
        Constant Field Values

    - #### MODIFIERS

          static final int MODIFIERS

      The meta object id for the '`Modifiers`' class.
      See Also:
        `ModifiersImpl`, `PatternLanguagePackageImpl.getModifiers()`, Constant Field Values

    - #### MODIFIERS__PRIVATE

          static final int MODIFIERS__PRIVATE

      The feature id for the 'Private' attribute.
      See Also:
        Constant Field Values

    - #### MODIFIERS_FEATURE_COUNT

          static final int MODIFIERS_FEATURE_COUNT

      The number of structural features of the 'Modifiers' class.
      See Also:
        Constant Field Values

    - #### VARIABLE

          static final int VARIABLE

      The meta object id for the '`Variable`' class.
      See Also:
        `VariableImpl`, `PatternLanguagePackageImpl.getVariable()`, Constant Field Values

    - #### VARIABLE__NAME

          static final int VARIABLE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### VARIABLE__TYPE

          static final int VARIABLE__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values

    - #### VARIABLE__REFERENCES

          static final int VARIABLE__REFERENCES

      The feature id for the 'References' reference list.
      See Also:
        Constant Field Values

    - #### VARIABLE_FEATURE_COUNT

          static final int VARIABLE_FEATURE_COUNT

      The number of structural features of the 'Variable' class.
      See Also:
        Constant Field Values

    - #### VARIABLE_REFERENCE

          static final int VARIABLE_REFERENCE

      The meta object id for the '`Variable Reference`' class.
      See Also:
        `VariableReferenceImpl`, `PatternLanguagePackageImpl.getVariableReference()`, Constant Field Values

    - #### VARIABLE_REFERENCE__VAR

          static final int VARIABLE_REFERENCE__VAR

      The feature id for the 'Var' attribute.
      See Also:
        Constant Field Values

    - #### VARIABLE_REFERENCE__VARIABLE

          static final int VARIABLE_REFERENCE__VARIABLE

      The feature id for the 'Variable' reference.
      See Also:
        Constant Field Values

    - #### VARIABLE_REFERENCE_FEATURE_COUNT

          static final int VARIABLE_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Variable Reference' class.
      See Also:
        Constant Field Values

    - #### TYPE

          static final int TYPE

      The meta object id for the '`Type`' class.
      See Also:
        `TypeImpl`, `PatternLanguagePackageImpl.getType()`, Constant Field Values

    - #### TYPE__TYPENAME

          static final int TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values

    - #### TYPE_FEATURE_COUNT

          static final int TYPE_FEATURE_COUNT

      The number of structural features of the 'Type' class.
      See Also:
        Constant Field Values

    - #### PATTERN_BODY

          static final int PATTERN_BODY

      The meta object id for the '`Pattern Body`' class.
      See Also:
        `PatternBodyImpl`, `PatternLanguagePackageImpl.getPatternBody()`, Constant Field Values

    - #### PATTERN_BODY__NAME

          static final int PATTERN_BODY__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### PATTERN_BODY__CONSTRAINTS

          static final int PATTERN_BODY__CONSTRAINTS

      The feature id for the 'Constraints' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN_BODY__VARIABLES

          static final int PATTERN_BODY__VARIABLES

      The feature id for the 'Variables' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN_BODY_FEATURE_COUNT

          static final int PATTERN_BODY_FEATURE_COUNT

      The number of structural features of the 'Pattern Body' class.
      See Also:
        Constant Field Values

    - #### CONSTRAINT

          static final int CONSTRAINT

      The meta object id for the '`Constraint`' class.
      See Also:
        `ConstraintImpl`, `PatternLanguagePackageImpl.getConstraint()`, Constant Field Values

    - #### CONSTRAINT_FEATURE_COUNT

          static final int CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Constraint' class.
      See Also:
        Constant Field Values

    - #### PATTERN_CALL

          static final int PATTERN_CALL

      The meta object id for the '`Pattern Call`' class.
      See Also:
        `PatternCallImpl`, `PatternLanguagePackageImpl.getPatternCall()`, Constant Field Values

    - #### PATTERN_CALL__PATTERN_REF

          static final int PATTERN_CALL__PATTERN_REF

      The feature id for the 'Pattern Ref' reference.
      See Also:
        Constant Field Values

    - #### PATTERN_CALL__TRANSITIVE

          static final int PATTERN_CALL__TRANSITIVE

      The feature id for the 'Transitive' attribute.
      See Also:
        Constant Field Values

    - #### PATTERN_CALL__PARAMETERS

          static final int PATTERN_CALL__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN_CALL_FEATURE_COUNT

          static final int PATTERN_CALL_FEATURE_COUNT

      The number of structural features of the 'Pattern Call' class.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_ELEMENT

          static final int PATH_EXPRESSION_ELEMENT

      The meta object id for the '`Path Expression Element`' class.
      See Also:
        `PathExpressionElementImpl`, `PatternLanguagePackageImpl.getPathExpressionElement()`, Constant Field Values

    - #### PATH_EXPRESSION_ELEMENT__TYPE

          static final int PATH_EXPRESSION_ELEMENT__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_ELEMENT__TAIL

          static final int PATH_EXPRESSION_ELEMENT__TAIL

      The feature id for the 'Tail' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_ELEMENT_FEATURE_COUNT

          static final int PATH_EXPRESSION_ELEMENT_FEATURE_COUNT

      The number of structural features of the 'Path Expression Element' class.
      See Also:
        Constant Field Values

    - #### VALUE_REFERENCE

          static final int VALUE_REFERENCE

      The meta object id for the '`Value Reference`' class.
      See Also:
        `ValueReferenceImpl`, `PatternLanguagePackageImpl.getValueReference()`, Constant Field Values

    - #### VALUE_REFERENCE_FEATURE_COUNT

          static final int VALUE_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Value Reference' class.
      See Also:
        Constant Field Values

    - #### LITERAL_VALUE_REFERENCE

          static final int LITERAL_VALUE_REFERENCE

      The meta object id for the '`Literal Value Reference`' class.
      See Also:
        `LiteralValueReferenceImpl`, `PatternLanguagePackageImpl.getLiteralValueReference()`, Constant Field Values

    - #### LITERAL_VALUE_REFERENCE_FEATURE_COUNT

          static final int LITERAL_VALUE_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Literal Value Reference' class.
      See Also:
        Constant Field Values

    - #### COMPUTATION_VALUE

          static final int COMPUTATION_VALUE

      The meta object id for the '`Computation Value`' class.
      See Also:
        `ComputationValueImpl`, `PatternLanguagePackageImpl.getComputationValue()`, Constant Field Values

    - #### COMPUTATION_VALUE_FEATURE_COUNT

          static final int COMPUTATION_VALUE_FEATURE_COUNT

      The number of structural features of the 'Computation Value' class.
      See Also:
        Constant Field Values

    - #### AGGREGATOR_EXPRESSION

          static final int AGGREGATOR_EXPRESSION

      The meta object id for the '`Aggregator Expression`' class.
      See Also:
        `AggregatorExpressionImpl`, `PatternLanguagePackageImpl.getAggregatorExpression()`, Constant Field Values

    - #### AGGREGATOR_EXPRESSION_FEATURE_COUNT

          static final int AGGREGATOR_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Aggregator Expression' class.
      See Also:
        Constant Field Values

    - #### PARAMETER_REF

          static final int PARAMETER_REF

      The meta object id for the '`Parameter Ref`' class.
      See Also:
        `ParameterRefImpl`, `PatternLanguagePackageImpl.getParameterRef()`, Constant Field Values

    - #### PARAMETER_REF__NAME

          static final int PARAMETER_REF__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### PARAMETER_REF__TYPE

          static final int PARAMETER_REF__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values

    - #### PARAMETER_REF__REFERENCES

          static final int PARAMETER_REF__REFERENCES

      The feature id for the 'References' reference list.
      See Also:
        Constant Field Values

    - #### PARAMETER_REF__REFERRED_PARAM

          static final int PARAMETER_REF__REFERRED_PARAM

      The feature id for the 'Referred Param' reference.
      See Also:
        Constant Field Values

    - #### PARAMETER_REF_FEATURE_COUNT

          static final int PARAMETER_REF_FEATURE_COUNT

      The number of structural features of the 'Parameter Ref' class.
      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE

          static final int LOCAL_VARIABLE

      The meta object id for the '`Local Variable`' class.
      See Also:
        `LocalVariableImpl`, `PatternLanguagePackageImpl.getLocalVariable()`, Constant Field Values

    - #### LOCAL_VARIABLE__NAME

          static final int LOCAL_VARIABLE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE__TYPE

          static final int LOCAL_VARIABLE__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE__REFERENCES

          static final int LOCAL_VARIABLE__REFERENCES

      The feature id for the 'References' reference list.
      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_FEATURE_COUNT

          static final int LOCAL_VARIABLE_FEATURE_COUNT

      The number of structural features of the 'Local Variable' class.
      See Also:
        Constant Field Values

    - #### ENTITY_TYPE

          static final int ENTITY_TYPE

      The meta object id for the '`Entity Type`' class.
      See Also:
        `EntityTypeImpl`, `PatternLanguagePackageImpl.getEntityType()`, Constant Field Values

    - #### ENTITY_TYPE__TYPENAME

          static final int ENTITY_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values

    - #### ENTITY_TYPE_FEATURE_COUNT

          static final int ENTITY_TYPE_FEATURE_COUNT

      The number of structural features of the 'Entity Type' class.
      See Also:
        Constant Field Values

    - #### RELATION_TYPE

          static final int RELATION_TYPE

      The meta object id for the '`Relation Type`' class.
      See Also:
        `RelationTypeImpl`, `PatternLanguagePackageImpl.getRelationType()`, Constant Field Values

    - #### RELATION_TYPE__TYPENAME

          static final int RELATION_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values

    - #### RELATION_TYPE_FEATURE_COUNT

          static final int RELATION_TYPE_FEATURE_COUNT

      The number of structural features of the 'Relation Type' class.
      See Also:
        Constant Field Values

    - #### PATTERN_COMPOSITION_CONSTRAINT

          static final int PATTERN_COMPOSITION_CONSTRAINT

      The meta object id for the '`Pattern Composition Constraint`' class.
      See Also:
        `PatternCompositionConstraintImpl`, `PatternLanguagePackageImpl.getPatternCompositionConstraint()`, Constant Field Values

    - #### PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE

          static final int PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE

      The feature id for the 'Negative' attribute.
      See Also:
        Constant Field Values

    - #### PATTERN_COMPOSITION_CONSTRAINT__CALL

          static final int PATTERN_COMPOSITION_CONSTRAINT__CALL

      The feature id for the 'Call' containment reference.
      See Also:
        Constant Field Values

    - #### PATTERN_COMPOSITION_CONSTRAINT_FEATURE_COUNT

          static final int PATTERN_COMPOSITION_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Pattern Composition Constraint' class.
      See Also:
        Constant Field Values

    - #### COMPARE_CONSTRAINT

          static final int COMPARE_CONSTRAINT

      The meta object id for the '`Compare Constraint`' class.
      See Also:
        `CompareConstraintImpl`, `PatternLanguagePackageImpl.getCompareConstraint()`, Constant Field Values

    - #### COMPARE_CONSTRAINT__LEFT_OPERAND

          static final int COMPARE_CONSTRAINT__LEFT_OPERAND

      The feature id for the 'Left Operand' containment reference.
      See Also:
        Constant Field Values

    - #### COMPARE_CONSTRAINT__FEATURE

          static final int COMPARE_CONSTRAINT__FEATURE

      The feature id for the 'Feature' attribute.
      See Also:
        Constant Field Values

    - #### COMPARE_CONSTRAINT__RIGHT_OPERAND

          static final int COMPARE_CONSTRAINT__RIGHT_OPERAND

      The feature id for the 'Right Operand' containment reference.
      See Also:
        Constant Field Values

    - #### COMPARE_CONSTRAINT_FEATURE_COUNT

          static final int COMPARE_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Compare Constraint' class.
      See Also:
        Constant Field Values

    - #### CHECK_CONSTRAINT

          static final int CHECK_CONSTRAINT

      The meta object id for the '`Check Constraint`' class.
      See Also:
        `CheckConstraintImpl`, `PatternLanguagePackageImpl.getCheckConstraint()`, Constant Field Values

    - #### CHECK_CONSTRAINT__EXPRESSION

          static final int CHECK_CONSTRAINT__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values

    - #### CHECK_CONSTRAINT_FEATURE_COUNT

          static final int CHECK_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Check Constraint' class.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_CONSTRAINT

          static final int PATH_EXPRESSION_CONSTRAINT

      The meta object id for the '`Path Expression Constraint`' class.
      See Also:
        `PathExpressionConstraintImpl`, `PatternLanguagePackageImpl.getPathExpressionConstraint()`, Constant Field Values

    - #### PATH_EXPRESSION_CONSTRAINT__HEAD

          static final int PATH_EXPRESSION_CONSTRAINT__HEAD

      The feature id for the 'Head' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_CONSTRAINT_FEATURE_COUNT

          static final int PATH_EXPRESSION_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Path Expression Constraint' class.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_HEAD

          static final int PATH_EXPRESSION_HEAD

      The meta object id for the '`Path Expression Head`' class.
      See Also:
        `PathExpressionHeadImpl`, `PatternLanguagePackageImpl.getPathExpressionHead()`, Constant Field Values

    - #### PATH_EXPRESSION_HEAD__TYPE

          static final int PATH_EXPRESSION_HEAD__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_HEAD__TAIL

          static final int PATH_EXPRESSION_HEAD__TAIL

      The feature id for the 'Tail' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_HEAD__SRC

          static final int PATH_EXPRESSION_HEAD__SRC

      The feature id for the 'Src' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_HEAD__DST

          static final int PATH_EXPRESSION_HEAD__DST

      The feature id for the 'Dst' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_HEAD_FEATURE_COUNT

          static final int PATH_EXPRESSION_HEAD_FEATURE_COUNT

      The number of structural features of the 'Path Expression Head' class.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_TAIL

          static final int PATH_EXPRESSION_TAIL

      The meta object id for the '`Path Expression Tail`' class.
      See Also:
        `PathExpressionTailImpl`, `PatternLanguagePackageImpl.getPathExpressionTail()`, Constant Field Values

    - #### PATH_EXPRESSION_TAIL__TYPE

          static final int PATH_EXPRESSION_TAIL__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_TAIL__TAIL

          static final int PATH_EXPRESSION_TAIL__TAIL

      The feature id for the 'Tail' containment reference.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_TAIL__INDEX

          static final int PATH_EXPRESSION_TAIL__INDEX

      The feature id for the 'Index' attribute.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_TAIL__CLOSURE

          static final int PATH_EXPRESSION_TAIL__CLOSURE

      The feature id for the 'Closure' attribute.
      See Also:
        Constant Field Values

    - #### PATH_EXPRESSION_TAIL_FEATURE_COUNT

          static final int PATH_EXPRESSION_TAIL_FEATURE_COUNT

      The number of structural features of the 'Path Expression Tail' class.
      See Also:
        Constant Field Values

    - #### INT_VALUE

          static final int INT_VALUE

      The meta object id for the '`Int Value`' class.
      See Also:
        `IntValueImpl`, `PatternLanguagePackageImpl.getIntValue()`, Constant Field Values

    - #### INT_VALUE__VALUE

          static final int INT_VALUE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### INT_VALUE_FEATURE_COUNT

          static final int INT_VALUE_FEATURE_COUNT

      The number of structural features of the 'Int Value' class.
      See Also:
        Constant Field Values

    - #### STRING_VALUE

          static final int STRING_VALUE

      The meta object id for the '`String Value`' class.
      See Also:
        `StringValueImpl`, `PatternLanguagePackageImpl.getStringValue()`, Constant Field Values

    - #### STRING_VALUE__VALUE

          static final int STRING_VALUE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### STRING_VALUE_FEATURE_COUNT

          static final int STRING_VALUE_FEATURE_COUNT

      The number of structural features of the 'String Value' class.
      See Also:
        Constant Field Values

    - #### BOOL_VALUE

          static final int BOOL_VALUE

      The meta object id for the '`Bool Value`' class.
      See Also:
        `BoolValueImpl`, `PatternLanguagePackageImpl.getBoolValue()`, Constant Field Values

    - #### BOOL_VALUE__VALUE

          static final int BOOL_VALUE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### BOOL_VALUE_FEATURE_COUNT

          static final int BOOL_VALUE_FEATURE_COUNT

      The number of structural features of the 'Bool Value' class.
      See Also:
        Constant Field Values

    - #### DOUBLE_VALUE

          static final int DOUBLE_VALUE

      The meta object id for the '`Double Value`' class.
      See Also:
        `DoubleValueImpl`, `PatternLanguagePackageImpl.getDoubleValue()`, Constant Field Values

    - #### DOUBLE_VALUE__VALUE

          static final int DOUBLE_VALUE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### DOUBLE_VALUE_FEATURE_COUNT

          static final int DOUBLE_VALUE_FEATURE_COUNT

      The number of structural features of the 'Double Value' class.
      See Also:
        Constant Field Values

    - #### VARIABLE_VALUE

          static final int VARIABLE_VALUE

      The meta object id for the '`Variable Value`' class.
      See Also:
        `VariableValueImpl`, `PatternLanguagePackageImpl.getVariableValue()`, Constant Field Values

    - #### VARIABLE_VALUE__VALUE

          static final int VARIABLE_VALUE__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### VARIABLE_VALUE_FEATURE_COUNT

          static final int VARIABLE_VALUE_FEATURE_COUNT

      The number of structural features of the 'Variable Value' class.
      See Also:
        Constant Field Values

    - #### LIST_VALUE

          static final int LIST_VALUE

      The meta object id for the '`List Value`' class.
      See Also:
        `ListValueImpl`, `PatternLanguagePackageImpl.getListValue()`, Constant Field Values

    - #### LIST_VALUE__VALUES

          static final int LIST_VALUE__VALUES

      The feature id for the 'Values' containment reference list.
      See Also:
        Constant Field Values

    - #### LIST_VALUE_FEATURE_COUNT

          static final int LIST_VALUE_FEATURE_COUNT

      The number of structural features of the 'List Value' class.
      See Also:
        Constant Field Values

    - #### FUNCTION_EVALUATION_VALUE

          static final int FUNCTION_EVALUATION_VALUE

      The meta object id for the '`Function Evaluation Value`' class.
      See Also:
        `FunctionEvaluationValueImpl`, `PatternLanguagePackageImpl.getFunctionEvaluationValue()`, Constant Field Values

    - #### FUNCTION_EVALUATION_VALUE__EXPRESSION

          static final int FUNCTION_EVALUATION_VALUE__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values

    - #### FUNCTION_EVALUATION_VALUE_FEATURE_COUNT

          static final int FUNCTION_EVALUATION_VALUE_FEATURE_COUNT

      The number of structural features of the 'Function Evaluation Value' class.
      See Also:
        Constant Field Values

    - #### AGGREGATED_VALUE

          static final int AGGREGATED_VALUE

      The meta object id for the '`Aggregated Value`' class.
      See Also:
        `AggregatedValueImpl`, `PatternLanguagePackageImpl.getAggregatedValue()`, Constant Field Values

    - #### AGGREGATED_VALUE__AGGREGATOR

          static final int AGGREGATED_VALUE__AGGREGATOR

      The feature id for the 'Aggregator' containment reference.
      See Also:
        Constant Field Values

    - #### AGGREGATED_VALUE__CALL

          static final int AGGREGATED_VALUE__CALL

      The feature id for the 'Call' containment reference.
      See Also:
        Constant Field Values

    - #### AGGREGATED_VALUE_FEATURE_COUNT

          static final int AGGREGATED_VALUE_FEATURE_COUNT

      The number of structural features of the 'Aggregated Value' class.
      See Also:
        Constant Field Values

    - #### COUNT_AGGREGATOR

          static final int COUNT_AGGREGATOR

      The meta object id for the '`Count Aggregator`' class.
      See Also:
        `CountAggregatorImpl`, `PatternLanguagePackageImpl.getCountAggregator()`, Constant Field Values

    - #### COUNT_AGGREGATOR_FEATURE_COUNT

          static final int COUNT_AGGREGATOR_FEATURE_COUNT

      The number of structural features of the 'Count Aggregator' class.
      See Also:
        Constant Field Values

    - #### COMPARE_FEATURE

          static final int COMPARE_FEATURE

      The meta object id for the '`Compare Feature`' enum.
      See Also:
        `CompareFeature`, `PatternLanguagePackageImpl.getCompareFeature()`, Constant Field Values

  - ### Method Detail

    - #### getPatternModel

          org.eclipse.emf.ecore.EClass getPatternModel()

      Returns the meta object for class '`Pattern Model`'.
      Returns:
        the meta object for class 'Pattern Model'.
      See Also:
        `PatternModel`

    - #### getPatternModel_PackageName

          org.eclipse.emf.ecore.EAttribute getPatternModel_PackageName()

      Returns the meta object for the attribute '`Package Name`'.
      Returns:
        the meta object for the attribute 'Package Name'.
      See Also:
        `PatternModel.getPackageName()`, `getPatternModel()`

    - #### getPatternModel_Patterns

          org.eclipse.emf.ecore.EReference getPatternModel_Patterns()

      Returns the meta object for the containment reference list '`Patterns`'.
      Returns:
        the meta object for the containment reference list 'Patterns'.
      See Also:
        `PatternModel.getPatterns()`, `getPatternModel()`

    - #### getPattern

          org.eclipse.emf.ecore.EClass getPattern()

      Returns the meta object for class '`Pattern`'.
      Returns:
        the meta object for class 'Pattern'.
      See Also:
        `Pattern`

    - #### getPattern_Annotations

          org.eclipse.emf.ecore.EReference getPattern_Annotations()

      Returns the meta object for the containment reference list '`Annotations`'.
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `Pattern.getAnnotations()`, `getPattern()`

    - #### getPattern_Modifiers

          org.eclipse.emf.ecore.EReference getPattern_Modifiers()

      Returns the meta object for the containment reference list '`Modifiers`'.
      Returns:
        the meta object for the containment reference list 'Modifiers'.
      See Also:
        `Pattern.getModifiers()`, `getPattern()`

    - #### getPattern_Name

          org.eclipse.emf.ecore.EAttribute getPattern_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Pattern.getName()`, `getPattern()`

    - #### getPattern_Parameters

          org.eclipse.emf.ecore.EReference getPattern_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Pattern.getParameters()`, `getPattern()`

    - #### getPattern_Bodies

          org.eclipse.emf.ecore.EReference getPattern_Bodies()

      Returns the meta object for the containment reference list '`Bodies`'.
      Returns:
        the meta object for the containment reference list 'Bodies'.
      See Also:
        `Pattern.getBodies()`, `getPattern()`

    - #### getAnnotation

          org.eclipse.emf.ecore.EClass getAnnotation()

      Returns the meta object for class '`Annotation`'.
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`

    - #### getAnnotation_Name

          org.eclipse.emf.ecore.EAttribute getAnnotation_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Annotation.getName()`, `getAnnotation()`

    - #### getAnnotation_Parameters

          org.eclipse.emf.ecore.EReference getAnnotation_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Annotation.getParameters()`, `getAnnotation()`

    - #### getAnnotationParameter

          org.eclipse.emf.ecore.EClass getAnnotationParameter()

      Returns the meta object for class '`Annotation Parameter`'.
      Returns:
        the meta object for class 'Annotation Parameter'.
      See Also:
        `AnnotationParameter`

    - #### getAnnotationParameter_Name

          org.eclipse.emf.ecore.EAttribute getAnnotationParameter_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `AnnotationParameter.getName()`, `getAnnotationParameter()`

    - #### getAnnotationParameter_Value

          org.eclipse.emf.ecore.EReference getAnnotationParameter_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `AnnotationParameter.getValue()`, `getAnnotationParameter()`

    - #### getModifiers

          org.eclipse.emf.ecore.EClass getModifiers()

      Returns the meta object for class '`Modifiers`'.
      Returns:
        the meta object for class 'Modifiers'.
      See Also:
        `Modifiers`

    - #### getModifiers_Private

          org.eclipse.emf.ecore.EAttribute getModifiers_Private()

      Returns the meta object for the attribute '`Private`'.
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `Modifiers.isPrivate()`, `getModifiers()`

    - #### getVariable

          org.eclipse.emf.ecore.EClass getVariable()

      Returns the meta object for class '`Variable`'.
      Returns:
        the meta object for class 'Variable'.
      See Also:
        `Variable`

    - #### getVariable_Name

          org.eclipse.emf.ecore.EAttribute getVariable_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Variable.getName()`, `getVariable()`

    - #### getVariable_Type

          org.eclipse.emf.ecore.EReference getVariable_Type()

      Returns the meta object for the containment reference '`Type`'.
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `Variable.getType()`, `getVariable()`

    - #### getVariable_References

          org.eclipse.emf.ecore.EReference getVariable_References()

      Returns the meta object for the reference list '`References`'.
      Returns:
        the meta object for the reference list 'References'.
      See Also:
        `Variable.getReferences()`, `getVariable()`

    - #### getVariableReference

          org.eclipse.emf.ecore.EClass getVariableReference()

      Returns the meta object for class '`Variable Reference`'.
      Returns:
        the meta object for class 'Variable Reference'.
      See Also:
        `VariableReference`

    - #### getVariableReference_Var

          org.eclipse.emf.ecore.EAttribute getVariableReference_Var()

      Returns the meta object for the attribute '`Var`'.
      Returns:
        the meta object for the attribute 'Var'.
      See Also:
        `VariableReference.getVar()`, `getVariableReference()`

    - #### getVariableReference_Variable

          org.eclipse.emf.ecore.EReference getVariableReference_Variable()

      Returns the meta object for the reference '`Variable`'.
      Returns:
        the meta object for the reference 'Variable'.
      See Also:
        `VariableReference`, `getVariableReference()`

    - #### getType

          org.eclipse.emf.ecore.EClass getType()

      Returns the meta object for class '`Type`'.
      Returns:
        the meta object for class 'Type'.
      See Also:
        `Type`

    - #### getType_Typename

          org.eclipse.emf.ecore.EAttribute getType_Typename()

      Returns the meta object for the attribute '`Typename`'.
      Returns:
        the meta object for the attribute 'Typename'.
      See Also:
        `Type.getTypename()`, `getType()`

    - #### getPatternBody

          org.eclipse.emf.ecore.EClass getPatternBody()

      Returns the meta object for class '`Pattern Body`'.
      Returns:
        the meta object for class 'Pattern Body'.
      See Also:
        `PatternBody`

    - #### getPatternBody_Name

          org.eclipse.emf.ecore.EAttribute getPatternBody_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `PatternBody.getName()`, `getPatternBody()`

    - #### getPatternBody_Constraints

          org.eclipse.emf.ecore.EReference getPatternBody_Constraints()

      Returns the meta object for the containment reference list '`Constraints`'.
      Returns:
        the meta object for the containment reference list 'Constraints'.
      See Also:
        `PatternBody.getConstraints()`, `getPatternBody()`

    - #### getPatternBody_Variables

          org.eclipse.emf.ecore.EReference getPatternBody_Variables()

      Returns the meta object for the containment reference list '`Variables`'.
      Returns:
        the meta object for the containment reference list 'Variables'.
      See Also:
        `PatternBody`, `getPatternBody()`

    - #### getConstraint

          org.eclipse.emf.ecore.EClass getConstraint()

      Returns the meta object for class '`Constraint`'.
      Returns:
        the meta object for class 'Constraint'.
      See Also:
        `Constraint`

    - #### getPatternCall

          org.eclipse.emf.ecore.EClass getPatternCall()

      Returns the meta object for class '`Pattern Call`'.
      Returns:
        the meta object for class 'Pattern Call'.
      See Also:
        `PatternCall`

    - #### getPatternCall_PatternRef

          org.eclipse.emf.ecore.EReference getPatternCall_PatternRef()

      Returns the meta object for the reference '`Pattern Ref`'.
      Returns:
        the meta object for the reference 'Pattern Ref'.
      See Also:
        `PatternCall.getPatternRef()`, `getPatternCall()`

    - #### getPatternCall_Transitive

          org.eclipse.emf.ecore.EAttribute getPatternCall_Transitive()

      Returns the meta object for the attribute '`Transitive`'.
      Returns:
        the meta object for the attribute 'Transitive'.
      See Also:
        `PatternCall.isTransitive()`, `getPatternCall()`

    - #### getPatternCall_Parameters

          org.eclipse.emf.ecore.EReference getPatternCall_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `PatternCall.getParameters()`, `getPatternCall()`

    - #### getPathExpressionElement

          org.eclipse.emf.ecore.EClass getPathExpressionElement()

      Returns the meta object for class '`Path Expression Element`'.
      Returns:
        the meta object for class 'Path Expression Element'.
      See Also:
        `PathExpressionElement`

    - #### getPathExpressionElement_Type

          org.eclipse.emf.ecore.EReference getPathExpressionElement_Type()

      Returns the meta object for the containment reference '`Type`'.
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `PathExpressionElement.getType()`, `getPathExpressionElement()`

    - #### getPathExpressionElement_Tail

          org.eclipse.emf.ecore.EReference getPathExpressionElement_Tail()

      Returns the meta object for the containment reference '`Tail`'.
      Returns:
        the meta object for the containment reference 'Tail'.
      See Also:
        `PathExpressionElement.getTail()`, `getPathExpressionElement()`

    - #### getValueReference

          org.eclipse.emf.ecore.EClass getValueReference()

      Returns the meta object for class '`Value Reference`'.
      Returns:
        the meta object for class 'Value Reference'.
      See Also:
        `ValueReference`

    - #### getLiteralValueReference

          org.eclipse.emf.ecore.EClass getLiteralValueReference()

      Returns the meta object for class '`Literal Value Reference`'.
      Returns:
        the meta object for class 'Literal Value Reference'.
      See Also:
        `LiteralValueReference`

    - #### getComputationValue

          org.eclipse.emf.ecore.EClass getComputationValue()

      Returns the meta object for class '`Computation Value`'.
      Returns:
        the meta object for class 'Computation Value'.
      See Also:
        `ComputationValue`

    - #### getAggregatorExpression

          org.eclipse.emf.ecore.EClass getAggregatorExpression()

      Returns the meta object for class '`Aggregator Expression`'.
      Returns:
        the meta object for class 'Aggregator Expression'.
      See Also:
        `AggregatorExpression`

    - #### getParameterRef

          org.eclipse.emf.ecore.EClass getParameterRef()

      Returns the meta object for class '`Parameter Ref`'.
      Returns:
        the meta object for class 'Parameter Ref'.
      See Also:
        `ParameterRef`

    - #### getParameterRef_ReferredParam

          org.eclipse.emf.ecore.EReference getParameterRef_ReferredParam()

      Returns the meta object for the reference '`Referred Param`'.
      Returns:
        the meta object for the reference 'Referred Param'.
      See Also:
        `ParameterRef.getReferredParam()`, `getParameterRef()`

    - #### getLocalVariable

          org.eclipse.emf.ecore.EClass getLocalVariable()

      Returns the meta object for class '`Local Variable`'.
      Returns:
        the meta object for class 'Local Variable'.
      See Also:
        `LocalVariable`

    - #### getEntityType

          org.eclipse.emf.ecore.EClass getEntityType()

      Returns the meta object for class '`Entity Type`'.
      Returns:
        the meta object for class 'Entity Type'.
      See Also:
        `EntityType`

    - #### getRelationType

          org.eclipse.emf.ecore.EClass getRelationType()

      Returns the meta object for class '`Relation Type`'.
      Returns:
        the meta object for class 'Relation Type'.
      See Also:
        `RelationType`

    - #### getPatternCompositionConstraint

          org.eclipse.emf.ecore.EClass getPatternCompositionConstraint()

      Returns the meta object for class '`Pattern Composition Constraint`'.
      Returns:
        the meta object for class 'Pattern Composition Constraint'.
      See Also:
        `PatternCompositionConstraint`

    - #### getPatternCompositionConstraint_Negative

          org.eclipse.emf.ecore.EAttribute getPatternCompositionConstraint_Negative()

      Returns the meta object for the attribute '`Negative`'.
      Returns:
        the meta object for the attribute 'Negative'.
      See Also:
        `PatternCompositionConstraint.isNegative()`, `getPatternCompositionConstraint()`

    - #### getPatternCompositionConstraint_Call

          org.eclipse.emf.ecore.EReference getPatternCompositionConstraint_Call()

      Returns the meta object for the containment reference '`Call`'.
      Returns:
        the meta object for the containment reference 'Call'.
      See Also:
        `PatternCompositionConstraint.getCall()`, `getPatternCompositionConstraint()`

    - #### getCompareConstraint

          org.eclipse.emf.ecore.EClass getCompareConstraint()

      Returns the meta object for class '`Compare Constraint`'.
      Returns:
        the meta object for class 'Compare Constraint'.
      See Also:
        `CompareConstraint`

    - #### getCompareConstraint_LeftOperand

          org.eclipse.emf.ecore.EReference getCompareConstraint_LeftOperand()

      Returns the meta object for the containment reference '`Left Operand`'.
      Returns:
        the meta object for the containment reference 'Left Operand'.
      See Also:
        `CompareConstraint.getLeftOperand()`, `getCompareConstraint()`

    - #### getCompareConstraint_Feature

          org.eclipse.emf.ecore.EAttribute getCompareConstraint_Feature()

      Returns the meta object for the attribute '`Feature`'.
      Returns:
        the meta object for the attribute 'Feature'.
      See Also:
        `CompareConstraint.getFeature()`, `getCompareConstraint()`

    - #### getCompareConstraint_RightOperand

          org.eclipse.emf.ecore.EReference getCompareConstraint_RightOperand()

      Returns the meta object for the containment reference '`Right Operand`'.
      Returns:
        the meta object for the containment reference 'Right Operand'.
      See Also:
        `CompareConstraint.getRightOperand()`, `getCompareConstraint()`

    - #### getCheckConstraint

          org.eclipse.emf.ecore.EClass getCheckConstraint()

      Returns the meta object for class '`Check Constraint`'.
      Returns:
        the meta object for class 'Check Constraint'.
      See Also:
        `CheckConstraint`

    - #### getCheckConstraint_Expression

          org.eclipse.emf.ecore.EReference getCheckConstraint_Expression()

      Returns the meta object for the containment reference '`Expression`'.
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `CheckConstraint.getExpression()`, `getCheckConstraint()`

    - #### getPathExpressionConstraint

          org.eclipse.emf.ecore.EClass getPathExpressionConstraint()

      Returns the meta object for class '`Path Expression Constraint`'.
      Returns:
        the meta object for class 'Path Expression Constraint'.
      See Also:
        `PathExpressionConstraint`

    - #### getPathExpressionConstraint_Head

          org.eclipse.emf.ecore.EReference getPathExpressionConstraint_Head()

      Returns the meta object for the containment reference '`Head`'.
      Returns:
        the meta object for the containment reference 'Head'.
      See Also:
        `PathExpressionConstraint.getHead()`, `getPathExpressionConstraint()`

    - #### getPathExpressionHead

          org.eclipse.emf.ecore.EClass getPathExpressionHead()

      Returns the meta object for class '`Path Expression Head`'.
      Returns:
        the meta object for class 'Path Expression Head'.
      See Also:
        `PathExpressionHead`

    - #### getPathExpressionHead_Src

          org.eclipse.emf.ecore.EReference getPathExpressionHead_Src()

      Returns the meta object for the containment reference '`Src`'.
      Returns:
        the meta object for the containment reference 'Src'.
      See Also:
        `PathExpressionHead.getSrc()`, `getPathExpressionHead()`

    - #### getPathExpressionHead_Dst

          org.eclipse.emf.ecore.EReference getPathExpressionHead_Dst()

      Returns the meta object for the containment reference '`Dst`'.
      Returns:
        the meta object for the containment reference 'Dst'.
      See Also:
        `PathExpressionHead.getDst()`, `getPathExpressionHead()`

    - #### getPathExpressionTail

          org.eclipse.emf.ecore.EClass getPathExpressionTail()

      Returns the meta object for class '`Path Expression Tail`'.
      Returns:
        the meta object for class 'Path Expression Tail'.
      See Also:
        `PathExpressionTail`

    - #### getPathExpressionTail_Index

          org.eclipse.emf.ecore.EAttribute getPathExpressionTail_Index()

      Returns the meta object for the attribute '`Index`'.
      Returns:
        the meta object for the attribute 'Index'.
      See Also:
        `PathExpressionTail.getIndex()`, `getPathExpressionTail()`

    - #### getPathExpressionTail_Closure

          org.eclipse.emf.ecore.EAttribute getPathExpressionTail_Closure()

      Returns the meta object for the attribute '`Closure`'.
      Returns:
        the meta object for the attribute 'Closure'.
      See Also:
        `PathExpressionTail.isClosure()`, `getPathExpressionTail()`

    - #### getIntValue

          org.eclipse.emf.ecore.EClass getIntValue()

      Returns the meta object for class '`Int Value`'.
      Returns:
        the meta object for class 'Int Value'.
      See Also:
        `IntValue`

    - #### getIntValue_Value

          org.eclipse.emf.ecore.EAttribute getIntValue_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `IntValue.getValue()`, `getIntValue()`

    - #### getStringValue

          org.eclipse.emf.ecore.EClass getStringValue()

      Returns the meta object for class '`String Value`'.
      Returns:
        the meta object for class 'String Value'.
      See Also:
        `StringValue`

    - #### getStringValue_Value

          org.eclipse.emf.ecore.EAttribute getStringValue_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `StringValue.getValue()`, `getStringValue()`

    - #### getBoolValue

          org.eclipse.emf.ecore.EClass getBoolValue()

      Returns the meta object for class '`Bool Value`'.
      Returns:
        the meta object for class 'Bool Value'.
      See Also:
        `BoolValue`

    - #### getBoolValue_Value

          org.eclipse.emf.ecore.EAttribute getBoolValue_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `BoolValue.isValue()`, `getBoolValue()`

    - #### getDoubleValue

          org.eclipse.emf.ecore.EClass getDoubleValue()

      Returns the meta object for class '`Double Value`'.
      Returns:
        the meta object for class 'Double Value'.
      See Also:
        `DoubleValue`

    - #### getDoubleValue_Value

          org.eclipse.emf.ecore.EAttribute getDoubleValue_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `DoubleValue.getValue()`, `getDoubleValue()`

    - #### getVariableValue

          org.eclipse.emf.ecore.EClass getVariableValue()

      Returns the meta object for class '`Variable Value`'.
      Returns:
        the meta object for class 'Variable Value'.
      See Also:
        `VariableValue`

    - #### getVariableValue_Value

          org.eclipse.emf.ecore.EReference getVariableValue_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `VariableValue.getValue()`, `getVariableValue()`

    - #### getListValue

          org.eclipse.emf.ecore.EClass getListValue()

      Returns the meta object for class '`List Value`'.
      Returns:
        the meta object for class 'List Value'.
      See Also:
        `ListValue`

    - #### getListValue_Values

          org.eclipse.emf.ecore.EReference getListValue_Values()

      Returns the meta object for the containment reference list '`Values`'.
      Returns:
        the meta object for the containment reference list 'Values'.
      See Also:
        `ListValue.getValues()`, `getListValue()`

    - #### getFunctionEvaluationValue

          org.eclipse.emf.ecore.EClass getFunctionEvaluationValue()

      Returns the meta object for class '`Function Evaluation Value`'.
      Returns:
        the meta object for class 'Function Evaluation Value'.
      See Also:
        `FunctionEvaluationValue`

    - #### getFunctionEvaluationValue_Expression

          org.eclipse.emf.ecore.EReference getFunctionEvaluationValue_Expression()

      Returns the meta object for the containment reference '`Expression`'.
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `FunctionEvaluationValue.getExpression()`, `getFunctionEvaluationValue()`

    - #### getAggregatedValue

          org.eclipse.emf.ecore.EClass getAggregatedValue()

      Returns the meta object for class '`Aggregated Value`'.
      Returns:
        the meta object for class 'Aggregated Value'.
      See Also:
        `AggregatedValue`

    - #### getAggregatedValue_Aggregator

          org.eclipse.emf.ecore.EReference getAggregatedValue_Aggregator()

      Returns the meta object for the containment reference '`Aggregator`'.
      Returns:
        the meta object for the containment reference 'Aggregator'.
      See Also:
        `AggregatedValue.getAggregator()`, `getAggregatedValue()`

    - #### getAggregatedValue_Call

          org.eclipse.emf.ecore.EReference getAggregatedValue_Call()

      Returns the meta object for the containment reference '`Call`'.
      Returns:
        the meta object for the containment reference 'Call'.
      See Also:
        `AggregatedValue.getCall()`, `getAggregatedValue()`

    - #### getCountAggregator

          org.eclipse.emf.ecore.EClass getCountAggregator()

      Returns the meta object for class '`Count Aggregator`'.
      Returns:
        the meta object for class 'Count Aggregator'.
      See Also:
        `CountAggregator`

    - #### getCompareFeature

          org.eclipse.emf.ecore.EEnum getCompareFeature()

      Returns the meta object for enum '`Compare Feature`'.
      Returns:
        the meta object for enum 'Compare Feature'.
      See Also:
        `CompareFeature`

    - #### getPatternLanguageFactory

          PatternLanguageFactory getPatternLanguageFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.